Backports are programs and Packages packaged for a previous version of an Ubuntu Operating System which exist in a newer version of Ubuntu

learn more… | top users | synonyms

0
votes
0answers
30 views

do-release-upgrade: Failed to configure linux-image-generic (previous on backports kernel)

Because of hardware issues I was on backports-3.11-rc3-1 with Ubuntu 13.4 64bit. Now, after a while I initialized do-release-upgrade. The process stopped with the message that the configuration of ...
0
votes
0answers
5 views

Backport + mac80211 + trace-cmd

I compiled the backport mac80211 driver. Running trace-cmd -e mac80211, for there is no tracing found for mac80211. What's wrong? MAC80211_TRACING has turned on in backport compilation.
1
vote
1answer
29 views

How to get backports for tomcat?

I installed tomcat 7 using apt-get utility on my ubuntu server. So do I need to manually configure, after this to start receiving backports/fixes for tomcat ? If yes, then how do I confgure? Or ...
1
vote
0answers
12 views

Back-port a package

The problem is that the package I need is coming from version 14.04 and i run 12.04 So I get the foo.dsc and try to build it using pbuilder, but the foo.dsc needs some other pkgs version which are no ...
1
vote
0answers
615 views

How do I get the ath9k driver of backports-3.12-8 installed on Xubuntu 13.10?

I downloaded the 3.12-8 kernel files linux-headers-all.deb, linux-headers-generic_i368.deb; linux-image-generic_i386.deb from kernel.org and installed them via: dpkg -i *.deb Now I'm trying to ...
1
vote
0answers
43 views

Atheros wifi not workong on ubuntu 10.04 lts

I installed backport 3.10.2 driver on ubuntu 10.04 lts but not working wireless network No display wireless icon lsmod |grep ath9k I confirm that ath9k module loaded on kernel.
0
votes
0answers
33 views

Wifi keeps disconnecting at random times

I have Ubuntu 13.04 and my Wifi is disconnecting automatically after 15-20 minutes of using it. It is really annoying, and I was wondering if there were any drivers to stop this. My wifi is also ...
0
votes
1answer
33 views

Do kernel backports need to be reapplied each time kernel updates to new version?

When a user backports a driver from a new kernel (as detailed here), does this backport need to be re-applied each time the kernel updates, e.g. if there was an automatic security update from kernel ...
0
votes
2answers
18 views

Does ubuntu apt eliminate the need of backporting (as described by RedHat)?

I see Backporting mentioned below. https://access.redhat.com/site/security/updates/backporting/ I'm not sure what they mean by "module". For the example scenario mentioned in the link, it sounds ...
2
votes
0answers
99 views

Issue Backporting SQLite 3.8.1 to Ubuntu Precise from Trusty

I'm pretty new to all of the packaging of Ubuntu applications and what not so this may not be the correct place to ask this question or there may be a more appropriate place to re-ask this question. ...
0
votes
1answer
81 views

Backporting Qt 4.8.4: Circular dependencies of qtchooser

I'm trying to backport the latest Qt packages (4.8.4) to Precise, using Launchpad. This worked well for the qt4-x11 packages but now I also need qtchooser which does not exist in 12.04. Trying to ...
0
votes
0answers
32 views

Validation fails when trying to rebuild package, no OpenPGP data

I'm trying to rebuild a package from non-official repository, namely: dget -x http://packages.dotdeb.org/dists/wheezy/nginx/source/nginx_1.4.4-1~dotdeb.1.dsc And here's what I get: dscverify: ...
1
vote
0answers
41 views

How do you deal with backports in production?

I run 12.04 on my production servers. Often I will run into a situation where I want the latest version of a certain critical piece of software for a certain role, such as nginx, and often that ...
0
votes
1answer
115 views

When are the Backports PPA for TexLive back online again?

In order to do what is suggested in http://askubuntu.com/a/163683 the repositories have to actually work but I get a 404 when trying to install from them When are the Backports PPA for TexLive back ...
3
votes
1answer
450 views

How to find out which backported packages are available, and avoid losing packages when manually upgrading?

I was surprised to see that since Natty 11.04, even when we have enabled a backports repository, updated packages aren't automatically installed from that repository. We have to install individual ...
0
votes
2answers
112 views

How do you install a package in the official backports repository using synaptic?

I would like to install the current version of hedgewars into Ubuntu using synaptic, but I'm not sure the exact steps. I need to get my buddies playing.
0
votes
1answer
114 views

How can I get newer boost packages than my distro's repos contain?

I'm developing on a system that's running Lucid 10.04.4 LTS. I can't do a complete release upgrade in order to get access to newer packages, although I do have sudo so I can otherwise muck about as ...
1
vote
1answer
151 views

12.04: Is it possible to close windows in “spread mode”?

I had to switch back to 12.04 after using 13.04 for a few weeks. I use the spread view (Super+w) in Unity a lot, and I liked the possibility of closing unused windows. If I understand correctly, Unity ...
7
votes
2answers
323 views

How to list available backport upgrades

I have just followed Ubuntu Backports to activate manual backports and I have a couple of questions. How can I, in the command line (e.g. apt-cacher or aptitude): list installed packages that have ...
1
vote
2answers
194 views

Do the features in new Ubuntu releases get backported to the LTS?

I am thinking of installing either Ubuntu 12.04 (LTS) or waiting for 13.04 to be released. My question is: Will all the updates that appear in the new release also be made available to the LTS ...
21
votes
1answer
7k views

Quantal backported kernel in 12.04.2? What's going on there?

I'm sure that I'm not the first and/or only one to notice that 12.04.2, released earlier this year, installs by default a backported 3.5 kernel from the Quantal (12.10) release. I'm surprised to see ...
2
votes
0answers
48 views

How to edit a backported package before uploading it to a PPA?

I'm attempting to backport Clang 3.2 to Quantal from Raring. Thinking this would be a relatively painless process, I ran the following command: backportpackage -s raring -d quantal -u ...
0
votes
0answers
1k views

Installing the 3.5 kernel backport for 12.04

I would like to install the 3.5 kernel backport to 12.04 as per the answer to this question.. The solution is to install the package linux-generic-lts-quantal. However, in the release docs and the ...
-1
votes
1answer
618 views

How do I manually install linux backports

I just installed Ubuntu server 12.10 and I am missing the drivers for my ethernet adapter. I have seen this is a common problem for my controller(AR8161) I have downloaded the package ...
2
votes
2answers
3k views

How to install Evolution 3.6.2 from 13.04 into 12.10?

It's all in the question, really. Currently running Evolution 3.6.0 on Ubuntu 12.10 and, as anybody who has tried this at all will know, it locks up regularly with a 'saving user interface' report ...
0
votes
1answer
131 views

How to “reverse-backport” a package available on earlier Ubuntu distribution to later Distribution?

There are 4 packages I am using on 12.04 which are not available on 12.10: xkcd-browser ;-) cuttlefish bluphone xserver-xorg-input-synaptics (it allows for touchpad rotation that could go along ...
4
votes
1answer
1k views

How to deal with configuration style warnings occuring from TexLive 2012 installation?

I followed the advice of izx on how to install TexLive 2012 using the texlive-backports PPA. Before I started I removed all TexLive-related packages. The installation finished and everything seems to ...
3
votes
2answers
182 views

How do I backport VLC from 12.04 to 10.04?

I just want to install VLC latest from 12.04 LTS to 10.04 LTS How to do it?
3
votes
3answers
3k views

How to solve dpkg-source source problem when building a package?

Has anyone here had some experience creating a Debian / Ubuntu package? I am trying to backport the lammps package (http://packages.ubuntu.com/quantal/lammps) from Ubuntu 12.10 (Quantal) to Ubuntu ...
2
votes
1answer
101 views

Upgrade with backports installed

I am running Ubuntu 12.04 with backports for TexLive. Ubuntu 12.10 is to contain the same version of TexLive that backport provides currently to 12.04. I, of course, want to move from backport to ...
0
votes
1answer
94 views

Should I enable backports repositories on Ubuntu Server (LAMP)?

Is there any disadvantages/advantages on enabling backports repositories on my new Ubuntu Server (LAMP)? What I should choose? Cheers
3
votes
2answers
77 views

Why are bugs fixed in the development release and then backported instead of porting the fixes forward?

I understand that backport repository sometimes contains the newer versions of Softwares (major upgrades) and which might be included in the next Ubuntu release. But not all of the softwares aren't ...
1
vote
5answers
8k views

Is it possible to install Unity 6.x.x on 12.04?

Is it possible to get the latest Unity without upgrading to 12.10 on my Ubuntu 12.04 PC or will this be backported?
2
votes
0answers
146 views

Is there way to get close button in windows spread view in 12.04?

Is there way to get close window button in windows spread view for Ubuntu 12.04 like it made in 12.10? Maybe exists some backport or config for that compiz plugin?
7
votes
1answer
6k views

How do I get emacs 24? [duplicate]

Possible Duplicate: How to upgrade to Emacs 24.1? emacs24 seems to bring quite a lot of minor improvements over the last version. I know there are already ppa's to easily install it but are ...
2
votes
1answer
277 views

How can I downgrade a system that accidentally had backports installed?

I installed a fresh Ubuntu system. Somehow - possibly through my own error - the backports repository got enabled. Then I did several upgrades. I noticed that this happened when networking suddenly ...
12
votes
1answer
7k views

Will GNOME 3.6 be backported to 12.04

Is there any chance that GNOME 3.6 or some of its components be backported to Ubuntu 12.04? Or should I upgrade to 12.10 to get GNOME 3.6?
1
vote
0answers
285 views

Will there be an backport of Unity 6/compiz for Precise? [duplicate]

Possible Duplicate: Is it possible to install Unity 6.x.x on Ubuntu 12.04? In my opinion Unity 5.x in precise is not how it should be in an LTS and I would like to know, whether Unity ...
0
votes
2answers
359 views

How to install a “fix released” package for a bug

So, it seems that on my ubuntu 12.04 11.04 I'm affected by Bug #971876. Luckily enough, the bug is marked as "fix released" and a last comment by the Launchpad Janitor says that "This bug was fixed ...
1
vote
1answer
57 views

What's the right way to make a backport recipe for bzr-builder?

I maintain some packages in LP that I need to backport to oneiric, lucid and --- even --- hardy. For example, my trunk branch builds correctly to precise and quantal, and I want to create a separate ...
-2
votes
1answer
331 views

How to install backported programms?

How to get backported kernel and nautilus? im on 10.04 i want fixes witch are made in 12.04 how to get them? im beeing told about installing backported kernel. On 10.04 i have some bugs witch been ...
2
votes
0answers
199 views

Is it good practice to backport source packages from newer Ubuntu releases?

My plan is like this: Say I'm running 12.04 LTS, life is good, but its packages guadually become old. Then 12.10 is out, I add a deb-src line in my sources.list, and backport (download source, build, ...
5
votes
2answers
3k views

Should a relatively conservative user untick “Unsupported updates (precise-backports)” in Software Sources?

I installed 12.04 RC a few days before the release date and it is now updated fully. It's working just fine and it is my OS for regular work. I have a question regarding "Software Sources". In the ...
2
votes
1answer
122 views

How do I backport my favorite package 2-3 times each year?

My current favorite game is Simutrans. Debian already picks up new releases, and Ubuntu imports from Debian. The game developers release a new version irregularly every 3-9 months, and most ...
0
votes
5answers
2k views

How to update all the installed software in Ubuntu without using any PPA?

I've got many softwares installed. But when the new version is released I'm not getting notified from the application that an update is available. And I found that in most of Ubuntu applications the ...
0
votes
0answers
90 views

install tomcat on ubuntu 11.04 [duplicate]

Possible Duplicate: How do I install Apache Tomcat 7? I tried installing tomcat on 11.04 using apt-get install tomcat7 but I get an error: Unable to locate package tomcat7 I guess ...
0
votes
1answer
2k views

qt4-x11 4.4.7.0 in Lucid

Can this version of QT4 be successfully be installed on Lucid. So many things I try to install depend on this. Error: Dependency is not satisfiable: libqtcore4 (>= 4:4.7.0~beta1) Calibre PPA-Lucid ...
0
votes
1answer
159 views

Make a backport for a 32 bit system using prevu on a 64 bit system

I want to make a backport of a package (in my case luakit) on my 64 bit machine (ubuntu natty) for a 32 bit machine (ubuntu jaunty) using prevu. What are the detailed steps to do this?
3
votes
1answer
266 views

How are backports implemented in Ubuntu?

In Do '..-backports' repositories automatically take precedence over the standard repos? in sources.list, the answer says that backports are never automatically used to update a standard ...
3
votes
1answer
697 views

Which Ubuntu version for PostgreSQL 9?

For a database server that will be running in its own VPS: Is it better-supported to install the latest Ocelot 11.10 release with the standard package for postgresql9, or to install 10.04 LTS with ...